Bug Hunting Session
Bug 57539 - FILESAVE: table with nested table has broken formatting in XHTML export
Summary: FILESAVE: table with nested table has broken formatting in XHTML export
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha1
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 57575
Blocks: HTML-Export
  Show dependency treegraph
 
Reported: 2012-11-26 07:56 UTC by callow.mark
Modified: 2019-09-27 03:04 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Document with problematic table (24.20 KB, application/vnd.oasis.opendocument.text)
2012-11-26 07:59 UTC, callow.mark
Details
document with alternate table layout (14.69 KB, application/vnd.oasis.opendocument.text)
2012-11-26 23:19 UTC, Peter Jentsch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description callow.mark 2012-11-26 07:56:47 UTC
My document has a table containing another table in one of its cells. The exported XHTML (File->Export->XHTML) is broken such that some of the table borders do not line up vertically and some other borders are missing completely.
Comment 1 callow.mark 2012-11-26 07:59:01 UTC
Created attachment 70569 [details]
Document with problematic table

Export this document to XHTML and compare the original and exported results. The problem is easy to spot.
Comment 2 Peter Jentsch 2012-11-26 20:45:11 UTC
created separate issue for the missing borders: https://bugs.freedesktop.org/show_bug.cgi?id=57575
Comment 3 Peter Jentsch 2012-11-26 20:45:45 UTC
Test 57575
Comment 4 Peter Jentsch 2012-11-26 23:15:38 UTC
The nested table formatting seems rather difficult to fix right now, or it would rather require more in depth knowledge of how browsers handle table layout with nested tables. 

You could redesign your table to use spanning instead of nested tables, though. I'm attaching a sample document.
Comment 5 Peter Jentsch 2012-11-26 23:19:09 UTC
Created attachment 70627 [details]
document with alternate table layout
Comment 6 Xisco Faulí 2017-09-25 08:21:51 UTC
Dear Peter Jentsch,
This bug has been in ASSIGNED status for more than 3 months without any activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 7 QA Administrators 2018-09-26 02:43:40 UTC Comment hidden (obsolete)
Comment 8 Roman Kuznetsov 2018-09-26 12:10:58 UTC
some border are missed in XHTML because they missed in source file.
but there is some offset of verical border in XHTML.

still repro in 

Version: 6.2.0.0.alpha0+
Build ID: 1aa37aa6bee19099b57555a6d839992b054aa405
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-09-23_10:17:54
Locale: ru-RU (ru_RU); Calc: threaded
Comment 9 QA Administrators 2019-09-27 03:04:48 UTC
Dear callow.mark,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug